# Properties Library

<table><thead><tr><th width="161">Property Name</th><th>Property Value</th><th>When to use</th><th>How it works</th></tr></thead><tbody><tr><td>byValue</td><td>TRUE / FALSE</td><td><ol><li>When the user required value is saved in the attribute "value"</li><li>When the value was saved in the hidden attribute</li></ol></td><td>It finds the web element matching the with the attribute value == given test data<br><strong>Note</strong> : Works only for select tags</td></tr><tr><td>byIndex</td><td>TRUE / FALSE</td><td><ol><li>When the user required value is in maintained in a fixed index all the time</li></ol></td><td>It finds the web element matching with the given index number in the tets data<br><strong>Note</strong> : Works only for select tags</td></tr><tr><td>byname</td><td>TRUE / FALSE</td><td>When the user required value is saved in the attribute "name"</td><td>It finds the web element matching the with the attribute value == given test data<br><strong>Note</strong> : Works only for select tags</td></tr><tr><td>tagName</td><td>YOUR TAG NAME</td><td>It is a special property when the dropdown is not authentic. <br>Here user has to provied the tagName   value.<br>Ex : dropdown has values in "li" tags.<br>Then we have to configure as <br><strong>tagName : li</strong></td><td>QATTS frames the XPATH locator internally with the test data given.<br><br>Finds and clicks the element. </td></tr><tr><td><ol><li>Contains</li><li>tagName</li></ol></td><td><ol><li>TRUE / FALSE</li><li>YOUR TAG NAME</li></ol></td><td>This works same as above. The only difference is. When we have the partial text provided in the test data. This will work</td><td>QATTS frames the XPATH locator internally with the test data given.<br><br>Finds and clicks the element. </td></tr><tr><td>custom</td><td>YOUR_XPATH</td><td>When we have to write a complex XPATH and then replace a value inside it using parameterization ${} in the given locator</td><td>QATTS evaluates the given XPATH.<br><br>Finds and clicks the element.</td></tr></tbody></table>

Note : When configuring the tagName, contains, Custom -> Main locator should be configured to match the main click and tagName should match the value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/studio/ui-elements/drop_down/properties-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
